GetApplicationAttemptReportResponsePBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords.impl.pb, class: GetApplicationAttemptReportResponsePBImpl

Package org.apache.hadoop.yarn.api.protocolrecords.impl.pb

# Class GetApplicationAttemptReportResponsePBImpl

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.GetApplicationAttemptReportResponse
org.apache.hadoop.yarn.api.protocolrecords.impl.pb.GetApplicationAttemptReportResponsePBImpl

@Private @Unstable public class GetApplicationAttemptReportResponsePBImpl extends org.apache.hadoop.yarn.api.protocolrecords.GetApplicationAttemptReportResponse

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetApplicationAttemptReportResponsePBImpl()`
  `GetApplicationAttemptReportResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetApplicationAttemptReportResponseProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `org.apache.hadoop.yarn.api.records.ApplicationAttemptReport`
  `getApplicationAttemptReport()`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.GetApplicationAttemptReportResponseProto`
  `getProto()`
  `int`
  `hashCode()`
  `void`
  `setApplicationAttemptReport(org.apache.hadoop.yarn.api.records.ApplicationAttemptReport ApplicationAttemptReport)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.GetApplicationAttemptReportResponse

  `newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetApplicationAttemptReportResponsePBImpl

    public GetApplicationAttemptReportResponsePBImpl()

  - ### GetApplicationAttemptReportResponsePBImpl

    public GetApplicationAttemptReportResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetApplicationAttemptReportResponseProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.GetApplicationAttemptReportResponseProto getProto()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getApplicationAttemptReport

    public org.apache.hadoop.yarn.api.records.ApplicationAttemptReport getApplicationAttemptReport()
    Specified by:
      `getApplicationAttemptReport` in class `org.apache.hadoop.yarn.api.protocolrecords.GetApplicationAttemptReportResponse`

  - ### setApplicationAttemptReport

    public void setApplicationAttemptReport(org.apache.hadoop.yarn.api.records.ApplicationAttemptReport ApplicationAttemptReport)
    Specified by:
      `setApplicationAttemptReport` in class `org.apache.hadoop.yarn.api.protocolrecords.GetApplicationAttemptReportResponse`